Bug 1343335 (CVE-2016-5243) - CVE-2016-5243 kernel: Information leak in tipc_nl_compat_link_dump
Summary: CVE-2016-5243 kernel: Information leak in tipc_nl_compat_link_dump
Status: CLOSED NOTABUG
Alias: CVE-2016-5243
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160603,reported=2...
Keywords: Security
Depends On: 1343338 1348017
Blocks: 1343340
TreeView+ depends on / blocked
 
Reported: 2016-06-07 07:41 UTC by Andrej Nemec
Modified: 2016-06-29 13:41 UTC (History)
35 users (show)

(edit)
A leak of information was possible when issuing a netlink command of the stack memory area leading up to this function call.  An attacker could use this to determine stack information for use in a later exploit.
Clone Of:
(edit)
Last Closed: 2016-06-29 13:41:32 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-07 07:41:50 UTC
A vulnerability was found in the Linux kernel. 
There is a char array of size 60 in function tipc_nl_compat_link_dump of file net/tipc/netlink_compat.c, link_info.str. Memory after the NULL byte is not initialized. Sending the whole object out can cause a leak of sensitive info in kernel stack.

Upstream bug:

https://patchwork.ozlabs.org/patch/629100/

Upstream fix:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=5d2be1422e02ccd697ccfcd45c85b4a26e6178e2

Comment 1 Andrej Nemec 2016-06-07 07:47:25 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1343338]

Comment 2 Fedora Update System 2016-06-17 15:49:27 UTC
kernel-4.4.13-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-06-17 15:59:44 UTC
kernel-4.5.7-200.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-18 18:36:02 UTC
kernel-4.5.7-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Wade Mealing 2016-06-20 01:02:08 UTC
Statement:

This issue does not affect Red Hat Enterprise Linux 5,6 or 7 kernels as it does not contain the code that has introduced the flaw.


Note You need to log in before you can comment on or make changes to this bug.